use "T1_data.dta", clear 
local cont age sex university no_phi excell vgood good fair ltime phi_litALL

version 13
lclogit choice price anc_copay dental optical P2 P3 naturo massage, group(group) id(id) nclasses(3) membership(`cont')
display e(bic) //Baysian information criterion

lclogitpr cp, cp
lclogitpr up, up
lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3
qui gen correct = 0
qui replace correct = 1 if (choice ==1&pred>0.5)|(choice ==0&pred<0.5)

sum correct

drop pr pr1 pr2 pr3 pred correct

***Table 9****

local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

qui gen benefits_A = 0
qui replace benefits_A = dental_cost*`copay' if dental_cost*`copay'<=`d_cap'
qui replace benefits_A = `d_cap' if dental_cost*`copay'>`d_cap' 
qui replace benefits_A = benefits_A+glasses_cost2*`copay' if glasses_cost2*`copay'<=`o_cap'
qui replace benefits_A = benefits_A+`o_cap' if glasses_cost2*`copay'>`o_cap' 
qui replace benefits_A = benefits_A+physical_cost*`copay' if physical_cost*0.6<=`p_cap'
qui replace benefits_A = benefits_A+`p_cap' if physical_cost*`copay'>`p_cap'
qui replace benefits_A = benefits_A+naturo_cost*`copay' if naturo_cost*`copay'<=`n_cap'
qui replace benefits_A = benefits_A+`n_cap' if naturo_cost*`copay'>`n_cap'
qui replace benefits_A = benefits_A+massage_cost*`copay' if massage_cost*`copay'<=`m_cap'
qui replace benefits_A = benefits_A+`m_cap' if massage_cost*`copay'>`m_cap'
qui gen OOP_A = ((`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35)*12-benefits_A //this sets premiums to 1/35 the sum of benefits caps

*POLICY A 
qui replace price=(`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35 if policy_A==1
qui replace anc_copay = 0 if policy_A==1&`copay'==0.6
qui replace dental = 0 if policy_A==1&`d_cap'==350
qui replace dental = 1 if policy_A==1&`d_cap'==700
qui replace optical = 0 if policy_A==1&`o_cap'==150
qui replace optical = 1 if policy_A==1&`o_cap'==300
qui replace P2 = 0 if policy_A==1
qui replace P2 = 1 if policy_A==1&`p_cap'==150
qui replace P3 = 0 if policy_A==1
qui replace P3 = 1 if policy_A==1&`p_cap'==300
qui replace naturo = 0 if policy_A==1&`n_cap'==0
qui replace naturo = 1 if policy_A==1&`n_cap'==100
qui replace massage = 0 if policy_A==1&`m_cap'==0
qui replace massage = 1 if policy_A==1&`m_cap'==100

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=100
local copay = 0.6

qui gen benefits_B = 0
qui replace benefits_B = dental_cost*`copay' if dental_cost*`copay'<=`d_cap'
qui replace benefits_B = `d_cap' if dental_cost*`copay'>`d_cap' 
qui replace benefits_B = benefits_B+glasses_cost2*`copay' if glasses_cost2*`copay'<=`o_cap'
qui replace benefits_B = benefits_B+`o_cap' if glasses_cost2*`copay'>`o_cap' 
qui replace benefits_B = benefits_B+physical_cost*`copay' if physical_cost*`copay'<=`p_cap'
qui replace benefits_B = benefits_B+`p_cap' if physical_cost*`copay'>`p_cap'
qui replace benefits_B = benefits_B+naturo_cost*`copay' if naturo_cost*`copay'<=`n_cap'
qui replace benefits_B = benefits_B+`n_cap' if naturo_cost*`copay'>`n_cap'
qui replace benefits_B = benefits_B+massage_cost*`copay' if massage_cost*`copay'<=`m_cap'
qui replace benefits_B = benefits_B+`m_cap' if massage_cost*`copay'>`m_cap'
gen OOP_B = ((`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35)*12-benefits_B

*POLICY B 
qui replace price=(`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35 if policy_A==0
qui replace anc_copay = 0 if policy_A==0&`copay'==0.6
qui replace dental = 0 if policy_A==0&`d_cap'==350
qui replace dental = 1 if policy_A==0&`d_cap'==700
qui replace optical = 0 if policy_A==0&`o_cap'==150
qui replace optical = 1 if policy_A==0&`o_cap'==300
qui replace P2 = 0 if policy_A==0
qui replace P2 = 1 if policy_A==0&`p_cap'==150
qui replace P3 = 0 if policy_A==0
qui replace P3 = 1 if policy_A==0&`p_cap'==300
qui replace naturo = 0 if policy_A==0&`n_cap'==0
qui replace naturo = 1 if policy_A==0&`n_cap'==100
qui replace massage = 0 if policy_A==0&`m_cap'==0
qui replace massage = 1 if policy_A==0&`m_cap'==100

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

*Without rebate

matrix t9_norebate = J(5,4,0) 

//Proportions choosing comprehensive policy
qui sum pred if policy_A==0
matrix t9_norebate[1,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==1 //uninsured
matrix t9_norebate[2,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==0 //insured
matrix t9_norebate[3,1] = r(mean) 
qui sum pred if policy_A==0&university==1 //uni
matrix t9_norebate[4,1] = r(mean) 
qui sum pred if policy_A==0&university==0 //no uni
matrix t9_norebate[5,1] = r(mean) 

//Proportions who should choose comprehensive policy if cost minimising
qui count if no_phi==1
scalar NPHI = r(N)
qui count if university==0
scalar NUNI = r(N)
qui count if OOP_B<OOP_A
scalar C = r(N)
matrix t9_norebate[1,2] = C/_N
qui count if OOP_B<OOP_A & no_phi==1
scalar C = r(N)
matrix t9_norebate[2,2] = C/NPHI
qui count if OOP_B<OOP_A & no_phi==0
scalar C = r(N)
matrix t9_norebate[3,2] = C/(_N-NPHI)
qui count if OOP_B<OOP_A & university==1
scalar C = r(N)
matrix t9_norebate[4,2] = C/(_N-NUNI)
qui count if OOP_B<OOP_A & university==0
scalar C = r(N)
matrix t9_norebate[5,2] = C/(NUNI)

//Overinsurance
matrix t9_norebate[1,3] = t9_norebate[1,1]-t9_norebate[1,2] 
matrix t9_norebate[2,3] = t9_norebate[2,1]-t9_norebate[2,2] 
matrix t9_norebate[3,3] = t9_norebate[3,1]-t9_norebate[3,2] 
matrix t9_norebate[4,3] = t9_norebate[4,1]-t9_norebate[4,2] 
matrix t9_norebate[5,3] = t9_norebate[5,1]-t9_norebate[5,2]  

//Proportion correct
qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)

qui sum correct
matrix t9_norebate[1,4] = r(mean)
qui sum correct if no_phi==0 //uninsured
matrix t9_norebate[2,4] = r(mean)
qui sum correct if no_phi==1 //insured
matrix t9_norebate[3,4] = r(mean)
qui sum correct if university==1 //uni
matrix t9_norebate[4,4] = r(mean)
qui sum correct if university==0 //no uni
matrix t9_norebate[5,4] = r(mean)

matrix list t9_norebate 

//NOW WITHOUT PHI REBATE

drop pr pr1-pr3 pred OOP_all correct
qui replace price = price*0.73

qui replace OOP_A = 0.73*((350+150)/35)*12-benefits_A //this is the basic policy
qui replace OOP_B = 0.73*((700+300+300+100+100)/35)*12-benefits_B //this is the comprehensive policy

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

*Without rebate

matrix t9_rebate = J(5,4,0) 

//Proportions choosing comprehensive policy
qui sum pred if policy_A==0
matrix t9_rebate[1,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==1 //uninsured
matrix t9_rebate[2,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==0 //insured
matrix t9_rebate[3,1] = r(mean) 
qui sum pred if policy_A==0&university==1 //uni
matrix t9_rebate[4,1] = r(mean) 
qui sum pred if policy_A==0&university==0 //no uni
matrix t9_rebate[5,1] = r(mean) 

//Proportions who should choose comprehensive policy if cost minimising
qui count if no_phi==1
scalar NPHI = r(N)
qui count if university==0
scalar NUNI = r(N)
qui count if OOP_B<OOP_A
scalar C = r(N)
matrix t9_rebate[1,2] = C/_N
qui count if OOP_B<OOP_A & no_phi==1
scalar C = r(N)
matrix t9_rebate[2,2] = C/NPHI
qui count if OOP_B<OOP_A & no_phi==0
scalar C = r(N)
matrix t9_rebate[3,2] = C/(_N-NPHI)
qui count if OOP_B<OOP_A & university==1
scalar C = r(N)
matrix t9_rebate[4,2] = C/(_N-NUNI)
qui count if OOP_B<OOP_A & university==0
scalar C = r(N)
matrix t9_rebate[5,2] = C/(NUNI)

//Overinsurance
matrix t9_rebate[1,3] = t9_rebate[1,1]-t9_rebate[1,2] 
matrix t9_rebate[2,3] = t9_rebate[2,1]-t9_rebate[2,2] 
matrix t9_rebate[3,3] = t9_rebate[3,1]-t9_rebate[3,2] 
matrix t9_rebate[4,3] = t9_rebate[4,1]-t9_rebate[4,2] 
matrix t9_rebate[5,3] = t9_rebate[5,1]-t9_rebate[5,2]  

//Proportion correct
qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)

qui sum correct
matrix t9_rebate[1,4] = r(mean)
qui sum correct if no_phi==0 //uninsured
matrix t9_rebate[2,4] = r(mean)
qui sum correct if no_phi==1 //insured
matrix t9_rebate[3,4] = r(mean)
qui sum correct if university==1 //uni
matrix t9_rebate[4,4] = r(mean)
qui sum correct if university==0 //no uni
matrix t9_rebate[5,4] = r(mean)

matrix list t9_rebate 

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

matrix t9_t1 = t9_norebate\t9_rebate
matrix rownames t9_t1 = All Uninsured Insured University No_university All Uninsured Insured University No_university  
matrix colnames t9_t1 = Pr_comp OOP_min Overinsure correct  

***Now choice tasks***

**************
*Choice set 1*
**************
 
local d_cap=350
local o_cap=300
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results = J(24,13,0)
matrix results[1,1] = 1
matrix results[2,1] = 1
matrix results[1,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[1,3] = `d_cap'
matrix results[1,4] = `o_cap'
matrix results[1,5] = `p_cap'
matrix results[1,6] = `n_cap'
matrix results[1,7] = `m_cap'


capture program drop policy_detailsA
program define policy_detailsA
	args d_cap o_cap p_cap n_cap m_cap copay   
	qui gen benefits_A = 0
	qui replace benefits_A = dental_cost*`copay' if dental_cost*`copay'<=`d_cap'
	qui replace benefits_A = `d_cap' if dental_cost*`copay'>`d_cap' 
	qui replace benefits_A = benefits_A+glasses_cost2*`copay' if glasses_cost2*`copay'<=`o_cap'
	qui replace benefits_A = benefits_A+`o_cap' if glasses_cost2*`copay'>`o_cap' 
	qui replace benefits_A = benefits_A+physical_cost*`copay' if physical_cost*0.6<=`p_cap'
	qui replace benefits_A = benefits_A+`p_cap' if physical_cost*`copay'>`p_cap'
	qui replace benefits_A = benefits_A+naturo_cost*`copay' if naturo_cost*`copay'<=`n_cap'
	qui replace benefits_A = benefits_A+`n_cap' if naturo_cost*`copay'>`n_cap'
	qui replace benefits_A = benefits_A+massage_cost*`copay' if massage_cost*`copay'<=`m_cap'
	qui replace benefits_A = benefits_A+`m_cap' if massage_cost*`copay'>`m_cap'
	qui gen OOP_A = ((`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35)*12-benefits_A //this sets premiums to 1/35 the sum of benefits caps

	*POLICY A 
	qui replace price=(`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35 if policy_A==1
	qui replace anc_copay = 0 if policy_A==1&`copay'==0.6
	qui replace dental = 0 if policy_A==1&`d_cap'==350
	qui replace dental = 1 if policy_A==1&`d_cap'==700
	qui replace optical = 0 if policy_A==1&`o_cap'==150
	qui replace optical = 1 if policy_A==1&`o_cap'==300
	qui replace P2 = 0 if policy_A==1
	qui replace P2 = 1 if policy_A==1&`p_cap'==150
	qui replace P3 = 0 if policy_A==1
	qui replace P3 = 1 if policy_A==1&`p_cap'==300
	qui replace naturo = 0 if policy_A==1&`n_cap'==0
	qui replace naturo = 1 if policy_A==1&`n_cap'==100
	qui replace massage = 0 if policy_A==1&`m_cap'==0
	qui replace massage = 1 if policy_A==1&`m_cap'==100
end

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[2,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[2,3] = `d_cap'
matrix results[2,4] = `o_cap'
matrix results[2,5] = `p_cap'
matrix results[2,6] = `n_cap'
matrix results[2,7] = `m_cap'

capture program drop policy_detailsB
program define policy_detailsB
	args d_cap o_cap p_cap n_cap m_cap copay   
	qui gen benefits_B = 0
	qui replace benefits_B = dental_cost*`copay' if dental_cost*`copay'<=`d_cap'
	qui replace benefits_B = `d_cap' if dental_cost*`copay'>`d_cap' 
	qui replace benefits_B = benefits_B+glasses_cost2*`copay' if glasses_cost2*`copay'<=`o_cap'
	qui replace benefits_B = benefits_B+`o_cap' if glasses_cost2*`copay'>`o_cap' 
	qui replace benefits_B = benefits_B+physical_cost*`copay' if physical_cost*`copay'<=`p_cap'
	qui replace benefits_B = benefits_B+`p_cap' if physical_cost*`copay'>`p_cap'
	qui replace benefits_B = benefits_B+naturo_cost*`copay' if naturo_cost*`copay'<=`n_cap'
	qui replace benefits_B = benefits_B+`n_cap' if naturo_cost*`copay'>`n_cap'
	qui replace benefits_B = benefits_B+massage_cost*`copay' if massage_cost*`copay'<=`m_cap'
	qui replace benefits_B = benefits_B+`m_cap' if massage_cost*`copay'>`m_cap'
	gen OOP_B = ((`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35)*12-benefits_B

	*POLICY B 
	qui replace price=(`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35 if policy_A==0
	qui replace anc_copay = 0 if policy_A==0&`copay'==0.6
	qui replace dental = 0 if policy_A==0&`d_cap'==350
	qui replace dental = 1 if policy_A==0&`d_cap'==700
	qui replace optical = 0 if policy_A==0&`o_cap'==150
	qui replace optical = 1 if policy_A==0&`o_cap'==300
	qui replace P2 = 0 if policy_A==0
	qui replace P2 = 1 if policy_A==0&`p_cap'==150	
	qui replace P3 = 0 if policy_A==0
	qui replace P3 = 1 if policy_A==0&`p_cap'==300
	qui replace naturo = 0 if policy_A==0&`n_cap'==0
	qui replace naturo = 1 if policy_A==0&`n_cap'==100
	qui replace massage = 0 if policy_A==0&`m_cap'==0
	qui replace massage = 1 if policy_A==0&`m_cap'==100
end

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[1,8] = r(mean)
matrix results[2,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[1,9]= C/_N
matrix results[2,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[1,10]=r(mean)
matrix results[2,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 2*
**************
 
local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[3,1] = 2
matrix results[4,1] = 2
matrix results[3,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[3,3] = `d_cap'
matrix results[3,4] = `o_cap'
matrix results[3,5] = `p_cap'
matrix results[3,6] = `n_cap'
matrix results[3,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

matrix results[4,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[4,3] = `d_cap'
matrix results[4,4] = `o_cap'
matrix results[4,5] = `p_cap'
matrix results[4,6] = `n_cap'
matrix results[4,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[3,8] = r(mean)
matrix results[4,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[3,9]= C/_N
matrix results[4,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[3,10]=r(mean)
matrix results[4,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 3*
**************
 
local d_cap=350
local o_cap=300
local p_cap=300
local n_cap=0
local m_cap=100

matrix results[5,1] = 3
matrix results[6,1] = 3
matrix results[5,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[5,3] = `d_cap'
matrix results[5,4] = `o_cap'
matrix results[5,5] = `p_cap'
matrix results[5,6] = `n_cap'
matrix results[5,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=100
local copay = 0.6

matrix results[6,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[6,3] = `d_cap'
matrix results[6,4] = `o_cap'
matrix results[6,5] = `p_cap'
matrix results[6,6] = `n_cap'
matrix results[6,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[5,8] = r(mean)
matrix results[6,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[5,9]= C/_N
matrix results[6,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[5,10]=r(mean)
matrix results[6,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 4*
**************

local d_cap=350
local o_cap=150
local p_cap=300
local n_cap=0
local m_cap=100
local copay = 0.6

matrix results[7,1] = 4
matrix results[8,1] = 4
matrix results[7,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[7,3] = `d_cap'
matrix results[7,4] = `o_cap'
matrix results[7,5] = `p_cap'
matrix results[7,6] = `n_cap'
matrix results[7,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

matrix results[8,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[8,3] = `d_cap'
matrix results[8,4] = `o_cap'
matrix results[8,5] = `p_cap'
matrix results[8,6] = `n_cap'
matrix results[8,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[7,8] = r(mean)
matrix results[8,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[7,9]= C/_N
matrix results[8,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[7,10]=r(mean)
matrix results[8,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 5*
**************

local d_cap=700
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=100
local copay = 0.6

matrix results[9,1] = 5
matrix results[10,1] = 5
matrix results[9,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[9,3] = `d_cap'
matrix results[9,4] = `o_cap'
matrix results[9,5] = `p_cap'
matrix results[9,6] = `n_cap'
matrix results[9,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=0
local copay = 0.6

matrix results[10,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[10,3] = `d_cap'
matrix results[10,4] = `o_cap'
matrix results[10,5] = `p_cap'
matrix results[10,6] = `n_cap'
matrix results[10,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[9,8] = r(mean)
matrix results[10,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[9,9]= C/_N
matrix results[10,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[9,10]=r(mean)
matrix results[10,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 6*
**************

local d_cap=350
local o_cap=150
local p_cap=300
local n_cap=0
local m_cap=0
local copay = 0.6

matrix results[11,1] = 6
matrix results[12,1] = 6
matrix results[11,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[11,3] = `d_cap'
matrix results[11,4] = `o_cap'
matrix results[11,5] = `p_cap'
matrix results[11,6] = `n_cap'
matrix results[11,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results[12,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[12,3] = `d_cap'
matrix results[12,4] = `o_cap'
matrix results[12,5] = `p_cap'
matrix results[12,6] = `n_cap'
matrix results[12,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[11,8] = r(mean)
matrix results[12,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[11,9]= C/_N
matrix results[12,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[11,10]=r(mean)
matrix results[12,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 7*
**************

local d_cap=350
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results[13,1] = 7
matrix results[14,1] = 7
matrix results[13,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[13,3] = `d_cap'
matrix results[13,4] = `o_cap'
matrix results[13,5] = `p_cap'
matrix results[13,6] = `n_cap'
matrix results[13,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[14,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[14,3] = `d_cap'
matrix results[14,4] = `o_cap'
matrix results[14,5] = `p_cap'
matrix results[14,6] = `n_cap'
matrix results[14,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[13,8] = r(mean)
matrix results[14,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[13,9]= C/_N
matrix results[14,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[13,10]=r(mean)
matrix results[14,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 8*
**************

local d_cap=350
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=0
local copay = 0.6

matrix results[15,1] = 8
matrix results[16,1] = 8
matrix results[15,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[15,3] = `d_cap'
matrix results[15,4] = `o_cap'
matrix results[15,5] = `p_cap'
matrix results[15,6] = `n_cap'
matrix results[15,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results[16,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[16,3] = `d_cap'
matrix results[16,4] = `o_cap'
matrix results[16,5] = `p_cap'
matrix results[16,6] = `n_cap'
matrix results[16,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[15,8] = r(mean)
matrix results[16,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[15,9]= C/_N
matrix results[16,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[15,10]=r(mean)
matrix results[16,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 9*
**************

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results[17,1] = 9
matrix results[18,1] = 9
matrix results[17,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[17,3] = `d_cap'
matrix results[17,4] = `o_cap'
matrix results[17,5] = `p_cap'
matrix results[17,6] = `n_cap'
matrix results[17,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[18,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[18,3] = `d_cap'
matrix results[18,4] = `o_cap'
matrix results[18,5] = `p_cap'
matrix results[18,6] = `n_cap'
matrix results[18,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[17,8] = r(mean)
matrix results[18,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[17,9]= C/_N
matrix results[18,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[17,10]=r(mean)
matrix results[18,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 10*
***************

local d_cap=350
local o_cap=300
local p_cap=300
local n_cap=0
local m_cap=100
local copay = 0.6

matrix results[19,1] = 10
matrix results[20,1] = 10
matrix results[19,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[19,3] = `d_cap'
matrix results[19,4] = `o_cap'
matrix results[19,5] = `p_cap'
matrix results[19,6] = `n_cap'
matrix results[19,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[20,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[20,3] = `d_cap'
matrix results[20,4] = `o_cap'
matrix results[20,5] = `p_cap'
matrix results[20,6] = `n_cap'
matrix results[20,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[19,8] = r(mean)
matrix results[20,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[19,9]= C/_N
matrix results[20,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[19,10]=r(mean)
matrix results[20,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 11*
***************

local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[21,1] = 11
matrix results[22,1] = 11
matrix results[21,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[21,3] = `d_cap'
matrix results[21,4] = `o_cap'
matrix results[21,5] = `p_cap'
matrix results[21,6] = `n_cap'
matrix results[21,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=100
local copay = 0.6

matrix results[22,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[22,3] = `d_cap'
matrix results[22,4] = `o_cap'
matrix results[22,5] = `p_cap'
matrix results[22,6] = `n_cap'
matrix results[22,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[21,8] = r(mean)
matrix results[22,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[21,9]= C/_N
matrix results[22,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[21,10]=r(mean)
matrix results[22,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 12*
***************

local d_cap=700
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

matrix results[23,1] = 12
matrix results[24,1] = 12
matrix results[23,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[23,3] = `d_cap'
matrix results[23,4] = `o_cap'
matrix results[23,5] = `p_cap'
matrix results[23,6] = `n_cap'
matrix results[23,7] = `m_cap'

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=0
local copay = 0.6

matrix results[24,2] = (`d_cap'+`o_cap'+`p_cap'+`n_cap'+`m_cap')/35
matrix results[24,3] = `d_cap'
matrix results[24,4] = `o_cap'
matrix results[24,5] = `p_cap'
matrix results[24,6] = `n_cap'
matrix results[24,7] = `m_cap'

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[23,8] = r(mean)
matrix results[24,8] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[23,9]= C/_N
matrix results[24,9]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[23,10]=r(mean)
matrix results[24,10]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

matrix list results

******************************************************
********Treatment 2***********************************
******************************************************

use "T2_data.dta", clear 
local cont age sex university no_phi excell vgood good fair ltime phi_litALL

version 13
lclogit choice price IN2 IN3 hosp_serv excess anc_copay dental optical P2 P3 naturo massage, group(group) id(id) nclasses(3) membership(`cont')
display e(bic) //Baysian information criterion

lclogitpr cp, cp
lclogitpr up, up
lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3
qui gen correct = 0
qui replace correct = 1 if (choice ==1&pred>0.5)|(choice ==0&pred<0.5)

sum correct

drop pr pr1 pr2 pr3 pred correct

***Table 9***
qui replace IN2 = 0
qui replace IN3 = 0
qui replace hosp_serv = 0
qui replace excess = 0
 
local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

*Without rebate

matrix t9_norebate = J(5,4,0) 

//Proportions choosing comprehensive policy
qui sum pred if policy_A==0
matrix t9_norebate[1,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==1 //uninsured
matrix t9_norebate[2,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==0 //insured
matrix t9_norebate[3,1] = r(mean) 
qui sum pred if policy_A==0&university==1 //uni
matrix t9_norebate[4,1] = r(mean) 
qui sum pred if policy_A==0&university==0 //no uni
matrix t9_norebate[5,1] = r(mean) 

//Proportions who should choose comprehensive policy if cost minimising
qui count if no_phi==1
scalar NPHI = r(N)
qui count if university==0
scalar NUNI = r(N)
qui count if OOP_B<OOP_A
scalar C = r(N)
matrix t9_norebate[1,2] = C/_N
qui count if OOP_B<OOP_A & no_phi==1
scalar C = r(N)
matrix t9_norebate[2,2] = C/NPHI
qui count if OOP_B<OOP_A & no_phi==0
scalar C = r(N)
matrix t9_norebate[3,2] = C/(_N-NPHI)
qui count if OOP_B<OOP_A & university==1
scalar C = r(N)
matrix t9_norebate[4,2] = C/(_N-NUNI)
qui count if OOP_B<OOP_A & university==0
scalar C = r(N)
matrix t9_norebate[5,2] = C/(NUNI)

//Overinsurance
matrix t9_norebate[1,3] = t9_norebate[1,1]-t9_norebate[1,2] 
matrix t9_norebate[2,3] = t9_norebate[2,1]-t9_norebate[2,2] 
matrix t9_norebate[3,3] = t9_norebate[3,1]-t9_norebate[3,2] 
matrix t9_norebate[4,3] = t9_norebate[4,1]-t9_norebate[4,2] 
matrix t9_norebate[5,3] = t9_norebate[5,1]-t9_norebate[5,2]  

//Proportion correct
qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)

qui sum correct
matrix t9_norebate[1,4] = r(mean)
qui sum correct if no_phi==0 //uninsured
matrix t9_norebate[2,4] = r(mean)
qui sum correct if no_phi==1 //insured
matrix t9_norebate[3,4] = r(mean)
qui sum correct if university==1 //uni
matrix t9_norebate[4,4] = r(mean)
qui sum correct if university==0 //no uni
matrix t9_norebate[5,4] = r(mean)

matrix list t9_norebate 

//NOW WITHOUT PHI REBATE

drop pr pr1-pr3 pred OOP_all correct
qui replace price = price*0.73

qui replace OOP_A = 0.73*((350+150)/35)*12-benefits_A //this is the basic policy
qui replace OOP_B = 0.73*((700+300+300+100+100)/35)*12-benefits_B //this is the comprehensive policy

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

*Without rebate

matrix t9_rebate = J(5,4,0) 

//Proportions choosing comprehensive policy
qui sum pred if policy_A==0
matrix t9_rebate[1,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==1 //uninsured
matrix t9_rebate[2,1] = r(mean) 
qui sum pred if policy_A==0&no_phi==0 //insured
matrix t9_rebate[3,1] = r(mean) 
qui sum pred if policy_A==0&university==1 //uni
matrix t9_rebate[4,1] = r(mean) 
qui sum pred if policy_A==0&university==0 //no uni
matrix t9_rebate[5,1] = r(mean) 

//Proportions who should choose comprehensive policy if cost minimising
qui count if no_phi==1
scalar NPHI = r(N)
qui count if university==0
scalar NUNI = r(N)
qui count if OOP_B<OOP_A
scalar C = r(N)
matrix t9_rebate[1,2] = C/_N
qui count if OOP_B<OOP_A & no_phi==1
scalar C = r(N)
matrix t9_rebate[2,2] = C/NPHI
qui count if OOP_B<OOP_A & no_phi==0
scalar C = r(N)
matrix t9_rebate[3,2] = C/(_N-NPHI)
qui count if OOP_B<OOP_A & university==1
scalar C = r(N)
matrix t9_rebate[4,2] = C/(_N-NUNI)
qui count if OOP_B<OOP_A & university==0
scalar C = r(N)
matrix t9_rebate[5,2] = C/(NUNI)

//Overinsurance
matrix t9_rebate[1,3] = t9_rebate[1,1]-t9_rebate[1,2] 
matrix t9_rebate[2,3] = t9_rebate[2,1]-t9_rebate[2,2] 
matrix t9_rebate[3,3] = t9_rebate[3,1]-t9_rebate[3,2] 
matrix t9_rebate[4,3] = t9_rebate[4,1]-t9_rebate[4,2] 
matrix t9_rebate[5,3] = t9_rebate[5,1]-t9_rebate[5,2]  

//Proportion correct
qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)

qui sum correct
matrix t9_rebate[1,4] = r(mean)
qui sum correct if no_phi==0 //uninsured
matrix t9_rebate[2,4] = r(mean)
qui sum correct if no_phi==1 //insured
matrix t9_rebate[3,4] = r(mean)
qui sum correct if university==1 //uni
matrix t9_rebate[4,4] = r(mean)
qui sum correct if university==0 //no uni
matrix t9_rebate[5,4] = r(mean)

matrix list t9_rebate 

matrix t9_t2 = t9_norebate\t9_rebate
matrix rownames t9_t2 = All Uninsured Insured University No_university All Uninsured Insured University No_university  
matrix colnames t9_t2 = Pr_comp OOP_min Overinsure correct  

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***Now choice tasks***

**************
*Choice set 1*
**************

qui replace IN2 = 0
qui replace IN3 = 0
qui replace hosp_serv = 0
qui replace excess = 0
 
local d_cap=350
local o_cap=300
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[1,11] = r(mean)
matrix results[2,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[1,12]= C/_N
matrix results[2,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[1,13]=r(mean)
matrix results[2,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 2*
**************
 
local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[3,11] = r(mean)
matrix results[4,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[3,12]= C/_N
matrix results[4,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[3,13]=r(mean)
matrix results[4,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 3*
**************
 
local d_cap=350
local o_cap=300
local p_cap=300
local n_cap=0
local m_cap=100

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=100
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[5,11] = r(mean)
matrix results[6,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[5,12]= C/_N
matrix results[6,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[5,13]=r(mean)
matrix results[6,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 4*
**************

local d_cap=350
local o_cap=150
local p_cap=300
local n_cap=0
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=0
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[7,11] = r(mean)
matrix results[8,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[7,12]= C/_N
matrix results[8,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[7,13]=r(mean)
matrix results[8,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 5*
**************

local d_cap=700
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[9,11] = r(mean)
matrix results[10,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[9,12]= C/_N
matrix results[10,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[9,13]=r(mean)
matrix results[10,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 6*
**************

local d_cap=350
local o_cap=150
local p_cap=300
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=0
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[11,11] = r(mean)
matrix results[12,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[11,12]= C/_N
matrix results[12,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[11,13]=r(mean)
matrix results[12,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 7*
**************

local d_cap=350
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[13,11] = r(mean)
matrix results[14,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[13,12]= C/_N
matrix results[14,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[13,13]=r(mean)
matrix results[14,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 8*
**************

local d_cap=350
local o_cap=300
local p_cap=150
local n_cap=0
local m_cap=0
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[15,11] = r(mean)
matrix results[16,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[15,12]= C/_N
matrix results[16,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[15,13]=r(mean)
matrix results[16,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

**************
*Choice set 9*
**************

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[17,11] = r(mean)
matrix results[18,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[17,12]= C/_N
matrix results[18,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[17,13]=r(mean)
matrix results[18,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 10*
***************

local d_cap=350
local o_cap=300
local p_cap=300
local n_cap=0
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=300
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[19,11] = r(mean)
matrix results[20,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[19,12]= C/_N
matrix results[20,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[19,13]=r(mean)
matrix results[20,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 11*
***************

local d_cap=700
local o_cap=150
local p_cap=300
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=700
local o_cap=150
local p_cap=0
local n_cap=0
local m_cap=100
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[21,11] = r(mean)
matrix results[22,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[21,12]= C/_N
matrix results[22,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[21,13]=r(mean)
matrix results[22,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

***************
*Choice set 12*
***************

local d_cap=700
local o_cap=150
local p_cap=150
local n_cap=100
local m_cap=100
local copay = 0.6

policy_detailsA `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

local d_cap=350
local o_cap=300
local p_cap=0
local n_cap=100
local m_cap=0
local copay = 0.6

policy_detailsB `d_cap' `o_cap' `p_cap' `n_cap' `m_cap' `copay'  

lclogitpr pr, pr

qui gen pred = pr1*cp1+pr2*cp2+pr3*cp3

sum pred if policy_A==1
matrix results[23,11] = r(mean)
matrix results[24,11] = 1-r(mean)

count if OOP_B>OOP_A
scalar C = r(N)
di C/_N
matrix results[23,12]= C/_N
matrix results[24,12]= 1-(C/_N)

qui gen OOP_all = OOP_A if policy_A ==1
qui replace OOP_all = OOP_B if policy_A ==0

tempvar x
egen `x' = min(OOP_all), by(group)

qui gen correct = 0
qui replace correct = 1 if (OOP_all == `x'&pred>0.5)|(OOP_all != `x'&pred<0.5)
sum correct

matrix results[23,13]=r(mean)
matrix results[24,13]=r(mean)

drop benefits_A OOP_A benefits_B OOP_B pr pr1-pr3 pred OOP_all correct

matrix colnames results = Set Price Dental Optical Physical Naturo Massage Predicted OOP_min Correct Predicted OOP_min Correct
matrix list results
*outtable using appendix_sim_cp, mat(results) replace nobox norowlab f(%9.2f)

matrix list t9_t1
matrix list t9_t2




